import { IApiPayload, IDataFetcherResponse } from '../../../../../_common';
import { IDeleteResponse, IColumnDefinitionContainer, IListOfLanguagesScopesAndFields, IDataTableQueryWithSerializeOptionals } from '../../common';
import { ITenantAttribute } from '../Attributes';
import { ITenantAttributeScope } from './Scopes.models';

export declare const scopesApi: {
    /** List scopes */
    getList(query?: IDataTableQueryWithSerializeOptionals): Promise<IDataFetcherResponse<ITenantAttributeScope>>;
    /** get scope */
    get(id: number, freeze: boolean): Promise<IApiPayload<ITenantAttributeScope>>;
    /** save scope */
    save(scope: Partial<ITenantAttributeScope>): Promise<IApiPayload<ITenantAttribute>>;
    /** create scope */
    create(scope: Partial<ITenantAttributeScope>): Promise<IApiPayload<ITenantAttribute>>;
    /** delete scope */
    delete(ids: number[]): Promise<IDeleteResponse>;
    /** getListOfLanguagesScopesAndFields */
    getListOfLanguagesScopesAndFields(): Promise<IListOfLanguagesScopesAndFields>;
    getColumns(): Promise<IApiPayload<IColumnDefinitionContainer>>;
};
